Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

## Class Pagination1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_08.Pagination1

    public class Pagination1
    extends java.lang.Object

Java class for Pagination1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Pagination1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PgNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Max5NumericText"/>
             <element name="LastPgInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}YesNoIndicator"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected boolean` `lastPgInd`
`protected java.lang.String` `pgNb`

### Constructor Summary

Constructors
`Pagination1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getPgNb()` Gets the value of the pgNb property.
`boolean` `isLastPgInd()` Gets the value of the lastPgInd property.
`void` `setLastPgInd​(boolean value)` Sets the value of the lastPgInd property.
`void` `setPgNb​(java.lang.String value)` Sets the value of the pgNb property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pgNb

    protected java.lang.String pgNb

#### lastPgInd

    protected boolean lastPgInd

### Constructor Detail

#### Pagination1

    public Pagination1()

### Method Detail

#### getPgNb

    public java.lang.String getPgNb()

Gets the value of the pgNb property.

Returns:
  possible object is `String`

#### setPgNb

    public void setPgNb​(java.lang.String value)

Sets the value of the pgNb property.

Parameters:
  `value` - allowed object is `String`

#### isLastPgInd

    public boolean isLastPgInd()

Gets the value of the lastPgInd property.

#### setLastPgInd

    public void setLastPgInd​(boolean value)

Sets the value of the lastPgInd property.